package com.siginfo.vo;

import java.util.ArrayList;
import java.util.List;

public class CvibNodeStatusVo {
	public String nodeId;
    public boolean commStatus;
    public String connDate;
    public int oprTrans;
    public int oprInd;
    public int oprTurnoff;
    public int oprBlink;
    public int oprManual;
    public int errScu;
    public int errCenter;
    public int errCont;
    public String localDate;
    public int dataCount;
    public int counter;
    public int divFlag;
    public int sttsCount;

    public List<CvibNodeTurnStatusVo> turns;

    public CvibNodeStatusVo(String nodeId) {
        this.nodeId = nodeId;
        this.commStatus = false;
        this.turns = new ArrayList<>();
    }

	public String getNodeId() {
		return nodeId;
	}

	public void setNodeId(String nodeId) {
		this.nodeId = nodeId;
	}

	public boolean isCommStatus() {
		return commStatus;
	}

	public void setCommStatus(boolean commStatus) {
		this.commStatus = commStatus;
	}

	public String getConnDate() {
		return connDate;
	}

	public void setConnDate(String connDate) {
		this.connDate = connDate;
	}

	public int getOprTrans() {
		return oprTrans;
	}

	public void setOprTrans(int oprTrans) {
		this.oprTrans = oprTrans;
	}

	public int getOprInd() {
		return oprInd;
	}

	public void setOprInd(int oprInd) {
		this.oprInd = oprInd;
	}

	public int getOprTurnoff() {
		return oprTurnoff;
	}

	public void setOprTurnoff(int oprTurnoff) {
		this.oprTurnoff = oprTurnoff;
	}

	public int getOprBlink() {
		return oprBlink;
	}

	public void setOprBlink(int oprBlink) {
		this.oprBlink = oprBlink;
	}

	public int getOprManual() {
		return oprManual;
	}

	public void setOprManual(int oprManual) {
		this.oprManual = oprManual;
	}

	public int getErrScu() {
		return errScu;
	}

	public void setErrScu(int errScu) {
		this.errScu = errScu;
	}

	public int getErrCenter() {
		return errCenter;
	}

	public void setErrCenter(int errCenter) {
		this.errCenter = errCenter;
	}

	public int getErrCont() {
		return errCont;
	}

	public void setErrCont(int errCont) {
		this.errCont = errCont;
	}

	public String getLocalDate() {
		return localDate;
	}

	public void setLocalDate(String localDate) {
		this.localDate = localDate;
	}

	public int getDataCount() {
		return dataCount;
	}

	public void setDataCount(int dataCount) {
		this.dataCount = dataCount;
	}

	public int getCounter() {
		return counter;
	}

	public void setCounter(int counter) {
		this.counter = counter;
	}

	public int getDivFlag() {
		return divFlag;
	}

	public void setDivFlag(int divFlag) {
		this.divFlag = divFlag;
	}

	public int getSttsCount() {
		return sttsCount;
	}

	public void setSttsCount(int sttsCount) {
		this.sttsCount = sttsCount;
	}

	public List<CvibNodeTurnStatusVo> getTurns() {
		return turns;
	}

	public void setTurns(List<CvibNodeTurnStatusVo> turns) {
		this.turns = turns;
	}
    
    
}
